%global commit 11cba613840b0d0e76dc2ea6d4ec7cc5f23daf88
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:		xclip
Version:	0.13
Release:    1%{?dist}
License:	GPLv2+
Summary:	Command line clipboard grabber
URL:		http://sourceforge.net/projects/xclip
Source0:	https://github.com/astrand/xclip/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
Patch0:		xclip-fix-segfault-bz1947285.patch
BuildRequires:	make
BuildRequires:	libXmu-devel, libICE-devel, libX11-devel, libXext-devel
BuildRequires:	autoconf, automake, libtool

%description
xclip is a command line utility that is designed to run on any system with an
X11 implementation. It provides an interface to X selections ("the clipboard")
from the command line. It can read data from standard in or a file and place it
in an X selection for pasting into other X applications. xclip can also print
an X selection to standard out, which can then be redirected to a file or
another program.

%prep
%setup -q -n %{name}-%{commit}
%patch0 -p1 -b .1947285
autoreconf -ifv

%build
%configure
make CDEBUGFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
make DESTDIR=%{buildroot} install.man

%files
%license COPYING
%doc README
%{_bindir}/xclip
%{_bindir}/xclip-copyfile
%{_bindir}/xclip-cutfile
%{_bindir}/xclip-pastefile
%{_mandir}/man1/xclip*.1*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13-1
- initial build
